> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onetrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Preference Center Data

Use this API to retrieve the required interface attributes to be rendered on the Preference Center.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Consent & Preferences - Consent Management Platform (CMP)",
    "description": "These are server-based APIs that will act as a medium between the OT hosted server that owns business logic and the client-side SDK, which will take the responsibility to render elements on UI based on the response sent via APIs.",
    "version": "202605.1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    }
  },
  "servers": [
    {
      "url": "https://mobile-data.onetrust.io",
      "description": "The OneTrust Consent Management Platform endpoint."
    }
  ],
  "tags": [
    {
      "name": "Preference Center",
      "description": "APIs to manage preference center configuration and user consent choices.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/consent-preferences-consent-management-platform-cmp.json"
      }
    }
  ],
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0",
    "links": [
      {
        "Consent & Preference Management Knowledge Base": "https://my.onetrust.com/s/topic/0TO3q000000kIWOGA2/consent-management",
        "Implementation Guidance": "https://developer.onetrust.com/onetrust/docs/implementation-guidance"
      },
      "{'Consent & Preference Management Knowledge Base': 'https://my.onetrust.com/s/topic/0TO3q000000kIWOGA2/consent-management', 'Implementation Guidance': 'https://developer.onetrust.com/onetrust/docs/implementation-guidance'}"
    ]
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "metrics-enabled": false
  },
  "externalDocs": {
    "url": "https://developer.onetrust.com/onetrust/docs/implementation-guidance",
    "description": "Implementation Guidance"
  },
  "paths": {
    "/cfw/cmp/v1/preferences": {
      "get": {
        "operationId": "get_Preferences",
        "summary": "Get Preference Center Data",
        "description": "Use this API to retrieve the required interface attributes to be rendered on the Preference Center.",
        "tags": [
          "Preference Center"
        ],
        "x-onetrust": {
          "release-status": "Public Preview",
          "release-status-link": "https://developer.onetrust.com/onetrust/changelog/onetrust-20240520-released",
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/consent-preferences-consent-management-platform-cmp.json"
        },
        "parameters": [
          {
            "name": "OT-CDN-Location",
            "in": "header",
            "description": "The location of the CDN.",
            "required": true,
            "schema": {
              "description": "The location of the CDN.",
              "type": "string",
              "enum": [
                "cdn.cookielaw.org",
                "cdn-apac.onetrust.com",
                "cdn.au.onetrust.com",
                "cdn-ukwest.onetrust.com",
                "cookie-cdn.cookiepro.com",
                "otcc-demo.otprivacy.com",
                "otcc-training.onetrust.com"
              ]
            }
          },
          {
            "name": "OT-App-Id",
            "in": "header",
            "description": "The unique identifier for the app or domain.",
            "required": true,
            "schema": {
              "description": "The unique identifier for the app or domain.",
              "type": "string",
              "example": "95c1b37a-c271-44e8-9dd3-1742d82ec948-test",
              "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}(-test)?$"
            }
          },
          {
            "name": "OT-Device-Type",
            "in": "header",
            "description": "The type of device.",
            "required": true,
            "schema": {
              "description": "The type of device.",
              "type": "string",
              "enum": [
                "mobile",
                "ctv"
              ]
            }
          },
          {
            "name": "OT-SDK-Version",
            "in": "header",
            "description": "The published version of the app or domain.",
            "required": true,
            "schema": {
              "description": "The published version of the app or domain.",
              "type": "string",
              "example": "202403.2.0",
              "pattern": "^\\d{6}\\.\\d+\\.\\d+$"
            }
          },
          {
            "name": "OT-SDK-Identification",
            "in": "header",
            "description": "The OT SDK identification.",
            "required": false,
            "schema": {
              "description": "The OT SDK identification.",
              "type": [
                "string",
                "null"
              ],
              "example": "iOS/17.0/202411.1.0"
            }
          },
          {
            "name": "OT-Language",
            "in": "header",
            "description": "The language in which the user interface should be displayed.",
            "required": false,
            "schema": {
              "description": "The language in which the user interface should be displayed.",
              "type": [
                "string",
                "null"
              ],
              "example": "en"
            }
          },
          {
            "name": "OT-Country-Code",
            "in": "header",
            "description": "The country code from which the user is accessing the app or website.",
            "required": false,
            "schema": {
              "description": "The country code from which the user is accessing the app or website.",
              "type": [
                "string",
                "null"
              ],
              "example": "US"
            }
          },
          {
            "name": "OT-Region-Code",
            "in": "header",
            "description": "The region code from which the user is accessing the app or website.",
            "required": false,
            "schema": {
              "description": "The region code from which the user is accessing the app or website.",
              "type": [
                "string",
                "null"
              ],
              "example": "GA"
            }
          },
          {
            "name": "OT-Fetch-Type",
            "in": "header",
            "description": "The type of data to download.",
            "required": false,
            "schema": {
              "description": "The type of data to download.",
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "APP_DATA_ONLY",
                "APP_DATA_AND_PROFILE",
                "APP_DATA_AND_SYNC_PROFILE"
              ]
            }
          },
          {
            "name": "OT-Consent-String",
            "in": "header",
            "description": "The encoded consent string that contains the interface's metadata.",
            "required": false,
            "schema": {
              "description": "The encoded consent string that contains the interface's metadata.",
              "type": [
                "string",
                "null"
              ],
              "example": "eyJsYXN0TGF1bmNoRGF0ZSI6MTcxMjMzMDgyOTEwMywic2hvdWxkU2hvd0Jhbm5lciI6MSwiZHNJZCI6IjljZDFjZGM1LTMwNmUtNGQ0Yi05MWFiLTg2MzdjODQ3ZjA3NyIsImFwcElkIjoiOTVjMWIzN2EtYzI3MS00NGU4LTlkZDMtMTc0MmQ4MmVjOTQ4LXRlc3QiLCJjZG4iOiJjZG4uY29va2llbGF3Lm9yZyIsImlzQW5vbnltb3VzIjoxLCJleHBpcnlEYXRlIjpudWxsfQ=="
            }
          },
          {
            "name": "OT-Identifier",
            "in": "header",
            "description": "The unique identifier for the data subject.",
            "required": false,
            "schema": {
              "description": "The unique identifier for the data subject.",
              "type": [
                "string",
                "null"
              ],
              "examples": [
                "9cd1cdc5-306e-4d4b-91ab-8637c847f077",
                "gpburdell@onetrust.com"
              ]
            }
          },
          {
            "name": "OT-Identifier-Type",
            "in": "header",
            "description": "The identifier type associated with the unique identifier in OT-Identifier header",
            "required": false,
            "schema": {
              "description": "The identifier type associated with the unique identifier in OT-Identifier header",
              "type": [
                "string",
                "null"
              ],
              "example": "Email"
            }
          },
          {
            "name": "OT-Identifier-UpdateType",
            "in": "header",
            "description": "The update type for the identifier. This header is used to specify how the identifier should be updated.",
            "required": false,
            "schema": {
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "Rename-Identifier"
              ]
            }
          },
          {
            "name": "OT-Sync-Profile-Auth",
            "in": "header",
            "description": "The JSON Web Token (JWT) generated using Public Keys within the OneTrust application.",
            "required": false,
            "schema": {
              "description": "The JSON Web Token (JWT) generated using Public Keys within the OneTrust application.",
              "type": [
                "string",
                "null"
              ],
              "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJncGJ1cmRlbGxAb25ldHJ1c3QuY29tIiwibmFtZSI6Ikdlb3JnZSBQLiBCdXJkZWxsIiwiaWF0IjoxNTE2MjM5MDIyfQ.qisq7xmfAqXkkSckWpeJKs86JlXuKmClEgMaooSaih0"
            }
          },
          {
            "name": "OT-Platform",
            "in": "header",
            "description": "To handle platform-specific features like ATT (App Tracking Transparency for Apple) or GoogleAdId (for Android) in a structured way, you can send the platform type in the parameters of an API or request.",
            "required": false,
            "schema": {
              "description": "To handle platform-specific features like ATT (App Tracking Transparency for Apple) or GoogleAdId (for Android) in a structured way, you can send the platform type in the parameters of an API or request.",
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "Apple",
                "Android"
              ]
            }
          },
          {
            "name": "OT-Exclude-Html-Tags",
            "in": "header",
            "description": "This is specifically to unbold the vendor numbers only.",
            "required": false,
            "schema": {
              "description": "This is specifically to unbold the vendor numbers only.",
              "type": [
                "boolean",
                "null"
              ]
            }
          },
          {
            "name": "OT-Tcf-Eu2v2-Consent-String",
            "in": "header",
            "description": "The IAB TCF string that contains information on consent preferences.",
            "required": false,
            "schema": {
              "description": "The IAB TCF string that contains information on consent preferences.",
              "type": [
                "string",
                "null"
              ],
              "example": "CP68pYAP68pYAAcABBENAKEsAP_gAEPgAChQg1NX_H__bW9j8Xr1aft0eY1P99j7ruQxBhfJE-4FyLvW_JwXx2ExNA36pqIKmRIEu3bBIQFlHIHUTUigaogVryHMakWMhTNKJ6BkiFMRM2dYCF5vmYlD-QKY5_p9d3dx2D-t_dv83dzyz81Hn3f5_2e0eLCdQ58tDfv9bROb-9INd_78v4AAAAAAAAAAAAAAAAAAAAAAAAAAABU-9_fff78AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEQaoWoACIAFAAXAA4AD4AKAAqABcADgAHgAQAAkABdADAAMoAaABqADwAH4ARAAjgBMAChAFIAUwAqwBbAF0AMQAZgA0ABvAD0AHwAPwAhABDQCIAIkARwAlgBNACjAFKAMAAYcAygDLAGaANEAbIA5ABzwDuAO8AewA-IB9gH7AP8BAICDgIQAREAikBFgEYAI1ARwBHQCRAElAJSATQAn4BQYCoAKiAVcAsQBcwC6wF5AXoAvoBigDRAGvANoAbgA4gBxwDpAHUAO2Ae0A-wB_QD_gIQARMAi8BHsCRAJFASsAmKBMgEygJtATsAoeBR4FIgKTgU0BTYCnwFSAKsAVyArsBYUCxALFAWUAtEBakC2ALZAW4AuABcgC6AF2gLvgXkBeYC-gF_gMEAYMAw0BiADFgGPAMhgZGBkkDJgMnAZUAywBmYDOQGeANEgaMBo4DTQGpgNVgauBrIDXgG0ANsgbcBt8DcgN1AcEA4sBx4Dk4HLAcuA50Bz4DrAHigPHgeSB5QD2gHxQPkA-UB9cD7QPugfsB-4D-wH_AQBAgIBAwCB4EEQIJgQYAg3BMwEzgJqATYgm2CbkE3gTfAnDBOUE5gJ0gTrgnaCdwE8AJ5hBqAEEAAQBlDgAQCdAG2EAAQAuQDTlAAICdA.f_wACHwAAAAA"
            }
          },
          {
            "name": "OT-Addtl-Consent-String",
            "in": "header",
            "description": "The Additional Consent string for Google Vendors.",
            "required": false,
            "schema": {
              "description": "The Additional Consent string for Google Vendors.",
              "type": [
                "string",
                "null"
              ],
              "example": "1~1584.2292.2392.3100.14332.24431.25731.25931.26031.26831.27731.28031"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "allOf": [
                        {
                          "allOf": [
                            {
                              "type": "object",
                              "properties": {
                                "errors": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "code": {
                                        "type": "string",
                                        "example": "ERROR_CODE_BLOB_LOCATIONS_UNAVAILABLE",
                                        "enum": [
                                          "SUCCESS",
                                          "ERROR_CODE_TEXT_RESOURCE_NOT_FOUND",
                                          "ERROR_CODE_NO_CONTENT",
                                          "ERROR_CODE_BLOB_LOCATIONS_UNAVAILABLE",
                                          "ERROR_CODE_INVALID_LOCATION",
                                          "ERROR_CODE_INVALID_COUNTRY_OR_REGION",
                                          "ERROR_CODE_INVALID_DEVICE_TYPE",
                                          "ERROR_CODE_INVALID_FETCH_TYPE",
                                          "ERROR_CODE_INVALID_CONSENT_REQUEST",
                                          "ERROR_CODE_HTTP_IF_NONE_MATCHED",
                                          "ERROR_CODE_SYNC_GROUP",
                                          "ERROR_CODE_FAILURE",
                                          "ERROR_CODE_DEFAULT_PURPOSE_STATUS",
                                          "ERROR_CODE_INVALID_OT_CONSENT_STRING",
                                          "ERROR_CODE_GENERIC_ERROR",
                                          "ERROR_CODE_MISSING_REQUIRED_HEADER",
                                          "ERROR_CODE_NO_ACCESS",
                                          "ERROR_CODE_INVALID_INTERACTION_TYPE",
                                          "ERROR_CODE_INVALID_CONTENT_TYPE_HEADER",
                                          "ERROR_IDENTIFIER_MISMATCH",
                                          "ERROR_UCP_NOT_CONFIGURED",
                                          "ERROR_CODE_INVALID_TC_STRING",
                                          "ERROR_GOOGLE_ADS_DISABLED",
                                          "ERROR_CODE_CONSENT_LOGGING",
                                          "ERROR_CODE_INVALID_REQUEST_BODY",
                                          "ERROR_CODE_UNSUPPORTED_VERSION",
                                          "ERROR_CODE_INVALID_AGE_RANGE"
                                        ]
                                      },
                                      "message": {
                                        "type": "string",
                                        "example": "Unable to fetch data for the specified Application ID. Please check your configurations.",
                                        "enum": [
                                          "Not Found",
                                          "No content",
                                          "success",
                                          "Unable to fetch data for the specified Application ID. Please check your configurations.",
                                          "Invalid location",
                                          "Invalid country code or region code. If you want to skip validation, please set the header 'OT-Geolocation-Skip-Validation' to true.",
                                          "Invalid Device Type",
                                          "Invalid Fetch type",
                                          "Missing either or all of TenantId or Identifier or Authorization",
                                          "If-None-Match",
                                          "syncGroup",
                                          "failure",
                                          "NO_CONSENT",
                                          "Invalid OT consent string",
                                          "Something went wrong",
                                          "No access to this resource",
                                          "Invalid Interaction Type",
                                          "Content-Type header should be application/json",
                                          "Input Identifier does not match with one in consent string",
                                          "The UC Purposes API call was successful, but no data is available for display.",
                                          "UC Purposes is disabled.",
                                          "Error decoding TC string, default consent is returned.",
                                          "Google Ads is disabled.",
                                          "Consent Logging has failed, please retry in sometime and if issue still persists please reach out to support team.",
                                          "Error parsing request body",
                                          "The published version is not supported. Please publish a newer version.",
                                          "The upper bound of the age range must be greater than lower bound."
                                        ]
                                      }
                                    },
                                    "required": [
                                      "code",
                                      "message"
                                    ]
                                  }
                                },
                                "warnings": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "code": {
                                        "type": "string",
                                        "example": "WARNING_CODE_PUBLISHED_VERSION_MISMATCH",
                                        "enum": [
                                          "WARNING_CODE_PUBLISHED_VERSION_MISMATCH"
                                        ]
                                      },
                                      "message": {
                                        "type": "string",
                                        "example": "Requested data for the OT-SDK-Version does not match the published version on the OneTrust server. The latest published version will be returned instead.",
                                        "enum": [
                                          "Requested data for the OT-SDK-Version does not match the published version on the OneTrust server. The latest published version will be returned instead."
                                        ]
                                      }
                                    },
                                    "required": [
                                      "code",
                                      "message"
                                    ]
                                  }
                                }
                              }
                            },
                            {
                              "type": "object",
                              "properties": {
                                "appConfig": {
                                  "type": "object",
                                  "properties": {
                                    "showBanner": {
                                      "type": "boolean",
                                      "example": true
                                    },
                                    "bannerReason": {
                                      "type": "string",
                                      "example": "Geo rule Banner is enabled and is first launch.",
                                      "enum": [
                                        "Geo rule Banner is not enabled.",
                                        "Geo rule Banner is enabled and is first launch.",
                                        "Sdk's Automatic reconsent has expired.",
                                        "Reconsent triggered for an authenticated user.",
                                        "The TC String has expired.",
                                        "Hundred percent sync is not completed for cross device sync enabled scenario.",
                                        "The template type is updated to IAB.",
                                        "Sdk has been published with reconsent.",
                                        "Banner will not be shown as consent validity holds true.",
                                        "Banner will not be shown as cross device sync is hundred percent complete."
                                      ]
                                    },
                                    "templateType": {
                                      "type": "string",
                                      "example": "IAB2V2",
                                      "enum": [
                                        "GDPR",
                                        "CCPA",
                                        "IAB2",
                                        "IAB2V2",
                                        "GENERIC",
                                        "LGPD",
                                        "GENERIC_PROMPT",
                                        "CPRA",
                                        "CDPA",
                                        "USNATIONAL",
                                        "CUSTOM",
                                        "COLORADO",
                                        "CTDPA",
                                        "UCPA",
                                        "OREGON",
                                        "FLORIDA",
                                        "DELAWARE",
                                        "IOWA",
                                        "MONTANA",
                                        "NEBRASKA",
                                        "TENNESSEE",
                                        "TEXAS",
                                        "NEW_JERSEY",
                                        "NEW_HAMPSHIRE"
                                      ]
                                    },
                                    "bannerReasonCode": {
                                      "type": "integer",
                                      "example": 101,
                                      "enum": [
                                        101,
                                        102,
                                        103,
                                        104,
                                        105,
                                        107,
                                        109,
                                        150,
                                        151,
                                        152
                                      ]
                                    },
                                    "multiProfileConsent": {
                                      "type": "object",
                                      "properties": {
                                        "downloadDataAfterSwitch": {
                                          "type": "boolean"
                                        },
                                        "maxProfilesLimit": {
                                          "type": "number"
                                        }
                                      },
                                      "required": [
                                        "downloadDataAfterSwitch",
                                        "maxProfilesLimit"
                                      ]
                                    },
                                    "gcmInfo": {
                                      "type": "object",
                                      "properties": {
                                        "userConsented": {
                                          "type": "boolean"
                                        },
                                        "gcmConsents": {
                                          "type": "object",
                                          "properties": {
                                            "adPersonalization": {
                                              "type": "string",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "adStorage": {
                                              "type": "string",
                                              "example": "DENIED",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "adUserData": {
                                              "type": "string",
                                              "example": "GRANTED",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "analyticsStorage": {
                                              "type": "string",
                                              "example": "UNDEFINED",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "functionalityStorage": {
                                              "type": "string",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "personalizationStorage": {
                                              "type": "string",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            },
                                            "securityStorage": {
                                              "type": "string",
                                              "enum": [
                                                "UNASSIGNED",
                                                "UNDEFINED",
                                                "DENIED",
                                                "GRANTED"
                                              ]
                                            }
                                          },
                                          "required": [
                                            "adPersonalization",
                                            "adStorage",
                                            "adUserData",
                                            "analyticsStorage",
                                            "functionalityStorage",
                                            "personalizationStorage",
                                            "securityStorage"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "userConsented",
                                        "gcmConsents"
                                      ]
                                    },
                                    "countryCode": {
                                      "type": "string",
                                      "example": "US"
                                    },
                                    "regionCode": {
                                      "type": "string",
                                      "example": "CA"
                                    },
                                    "shouldResetLocalState": {
                                      "description": "This flag indicates, if any local changes are there at client side, to notify clients to just discard them as we have to collect the consents freshly in certain scenarios like on reconsent triggers etc.",
                                      "type": "boolean",
                                      "default": false
                                    },
                                    "lastReconsentDate": {
                                      "type": "number",
                                      "example": 1733147973220
                                    },
                                    "rejectAllButtonBehavior": {
                                      "type": "string",
                                      "example": "LIActiveIfLegalBasis"
                                    }
                                  },
                                  "required": [
                                    "showBanner",
                                    "bannerReason",
                                    "templateType",
                                    "bannerReasonCode"
                                  ]
                                }
                              },
                              "required": [
                                "appConfig"
                              ]
                            },
                            {
                              "type": "object",
                              "properties": {
                                "pcUIData": {
                                  "type": "object",
                                  "properties": {
                                    "general": {
                                      "type": "object",
                                      "properties": {
                                        "backgroundColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "backgroundColorDark": {
                                          "type": "string",
                                          "example": "#2F2F2F"
                                        },
                                        "toggleActiveColor": {
                                          "type": "string",
                                          "example": "#6CC04A"
                                        },
                                        "toggleActiveColorDark": {
                                          "type": "string",
                                          "example": "#6CC04A"
                                        },
                                        "toggleInactiveColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "lineBreakColor": {
                                          "type": "string",
                                          "example": "#dedede"
                                        },
                                        "lineBreakColorDark": {
                                          "type": "string",
                                          "example": "#767676"
                                        },
                                        "sdkListShow": {
                                          "type": "boolean",
                                          "example": true
                                        },
                                        "sdkListManageServicesLabel": {
                                          "type": "string",
                                          "example": "Manage Services"
                                        },
                                        "toggleInactiveColorDark": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "sdkListLabel": {
                                          "type": "string",
                                          "example": "SDK List"
                                        },
                                        "sdkLevelOptOutShow": {
                                          "type": "boolean",
                                          "example": false
                                        },
                                        "showOTLogo": {
                                          "type": "boolean",
                                          "example": true
                                        },
                                        "buttonFocusColor": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "string",
                                          "example": "#696969"
                                        },
                                        "buttonFocusTextColor": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "buttonBorderShow": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "boolean",
                                          "example": false
                                        },
                                        "vendorsListLabel": {
                                          "type": "string",
                                          "example": "Vendors List"
                                        },
                                        "iabVendorsLabel": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "string",
                                          "example": "IAB Vendors"
                                        },
                                        "googleVendorsLabel": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "string",
                                          "example": "Google Vendors"
                                        },
                                        "useRTL": {
                                          "type": "boolean"
                                        },
                                        "consentText": {
                                          "type": "string",
                                          "example": "Consent"
                                        },
                                        "legitInterestText": {
                                          "type": "string",
                                          "example": "Legitimate Interest"
                                        },
                                        "illustrationsTitleText": {
                                          "type": "string",
                                          "example": "Illustrations"
                                        },
                                        "allowAllConsentText": {
                                          "type": "string",
                                          "example": "Allow All Consent"
                                        },
                                        "regionAriaLabel": {
                                          "type": "string",
                                          "example": "Preference center"
                                        },
                                        "listAriaLabel": {
                                          "type": "string",
                                          "example": "Menu List"
                                        },
                                        "listItemAriaLabel": {
                                          "type": "string",
                                          "example": "List Element"
                                        },
                                        "checkBoxEnabledAriaLabel": {
                                          "type": "string",
                                          "example": "Check box Checked"
                                        },
                                        "checkBoxDisabledAriaLabel": {
                                          "type": "string",
                                          "example": "Check box Unchecked"
                                        },
                                        "sdkListTitleAriaLabel": {
                                          "type": "string",
                                          "example": "SDK List"
                                        },
                                        "filterSDKListAriaLabel": {
                                          "type": "string",
                                          "example": "Filter SDK List"
                                        },
                                        "alphabeticFilterAriaLabel": {
                                          "type": "string",
                                          "example": "Filter <X> through <Y>"
                                        },
                                        "copyConfirmationAriaLabel": {
                                          "type": "string",
                                          "example": "Data Copied to Clipboard"
                                        },
                                        "clearButtonAnnouncement": {
                                          "type": "string",
                                          "example": "Filters cleared, no items selected"
                                        },
                                        "qrCodeAriaLabel": {
                                          "type": "string",
                                          "example": "Scan the QR code below for <X>"
                                        },
                                        "filterAriaLabel": {
                                          "type": "string",
                                          "example": "Filter"
                                        },
                                        "headingAriaLabel": {
                                          "type": "string",
                                          "example": "Heading"
                                        },
                                        "selectedAriaLabel": {
                                          "type": "string",
                                          "example": "Selected"
                                        },
                                        "activeAriaLabel": {
                                          "type": "string",
                                          "example": "Active"
                                        },
                                        "filterSDKListTitle": {
                                          "type": "string",
                                          "example": "Filter SDK List"
                                        },
                                        "pcLinkScreenReaderAriaLabel": {
                                          "type": "string",
                                          "example": "More information about your privacy, opens in a new tab"
                                        },
                                        "openNewViewAriaLabel": {
                                          "type": "string",
                                          "example": "Open in a new view"
                                        },
                                        "onSwitchButton": {
                                          "type": "string",
                                          "example": "On Switch Button."
                                        },
                                        "offSwitchButton": {
                                          "type": "string",
                                          "example": "Off Switch Button."
                                        },
                                        "toggleHints": {
                                          "type": "string",
                                          "example": "Double tap to toggle settings."
                                        },
                                        "customBackAriaLabel": {
                                          "type": "string",
                                          "example": "Back to <X>"
                                        },
                                        "filterTitleLabel": {
                                          "type": "string",
                                          "example": "Filter Title"
                                        },
                                        "listViewElementsHint": {
                                          "type": "string",
                                          "example": "Hint"
                                        },
                                        "linkRoleLabel": {
                                          "type": "string",
                                          "example": "Link role label"
                                        },
                                        "layout": {
                                          "type": "string",
                                          "example": "bottom"
                                        },
                                        "purposesHeader": {
                                          "type": "string",
                                          "example": "Purposes"
                                        },
                                        "vendorsTypeHeader": {
                                          "type": "string",
                                          "example": "Vendors Type"
                                        }
                                      },
                                      "required": [
                                        "backgroundColor",
                                        "backgroundColorDark",
                                        "sdkListShow",
                                        "sdkListManageServicesLabel",
                                        "sdkListLabel",
                                        "sdkLevelOptOutShow",
                                        "useRTL",
                                        "consentText",
                                        "legitInterestText",
                                        "allowAllConsentText"
                                      ]
                                    },
                                    "menu": {
                                      "description": "Applicable to ctv device type only",
                                      "type": "object",
                                      "properties": {
                                        "color": {
                                          "type": "string",
                                          "example": "#F4F4F4"
                                        },
                                        "textColor": {
                                          "type": "string",
                                          "example": "#696969"
                                        },
                                        "focusColor": {
                                          "type": "string",
                                          "example": "#696969"
                                        },
                                        "focusTextColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "activeColor": {
                                          "type": "string",
                                          "example": "#DEDEDE"
                                        },
                                        "activeTextColor": {
                                          "type": "string",
                                          "example": "#696969"
                                        }
                                      },
                                      "required": [
                                        "color",
                                        "textColor",
                                        "focusColor",
                                        "focusTextColor",
                                        "activeColor",
                                        "activeTextColor"
                                      ]
                                    },
                                    "logo": {
                                      "type": "object",
                                      "properties": {
                                        "url": {
                                          "type": "string",
                                          "example": "https://cookie-cdn.1trust.app/logos/static/ot_company_logo.png"
                                        },
                                        "logoVoiceOverText": {
                                          "type": "string"
                                        }
                                      },
                                      "required": [
                                        "url",
                                        "logoVoiceOverText"
                                      ]
                                    },
                                    "summary": {
                                      "type": "object",
                                      "properties": {
                                        "title": {
                                          "type": "object",
                                          "properties": {
                                            "fontSize": {
                                              "type": "string",
                                              "example": "22"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "About Your Privacy"
                                            },
                                            "textAlign": {
                                              "type": "string",
                                              "example": "left"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#696969"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            }
                                          }
                                        },
                                        "description": {
                                          "type": "object",
                                          "properties": {
                                            "fontSize": {
                                              "type": "string",
                                              "example": "16"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "We process your data to deliver content or advertisements and measure the delivery of such content or advertisements to extract insights about our website. We share this information with our partners on the basis of consent. You may exercise your right to consent, based on a specific purpose below or at a partner level in the link under each purpose. These choices will be signaled to our vendors participating in the Transparency and Consent Framework."
                                            },
                                            "textAlign": {
                                              "type": "string",
                                              "example": "left"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#696969"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            }
                                          }
                                        }
                                      }
                                    },
                                    "buttons": {
                                      "type": "object",
                                      "properties": {
                                        "closeButton": {
                                          "type": "object",
                                          "properties": {
                                            "color": {
                                              "type": "string",
                                              "example": "#2F2F2F"
                                            },
                                            "colorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "showAsLink": {
                                              "type": "boolean",
                                              "example": true
                                            },
                                            "borderRadius": {
                                              "type": "string",
                                              "example": "0"
                                            },
                                            "fontSize": {
                                              "type": "string",
                                              "example": "12"
                                            },
                                            "showText": {
                                              "type": "boolean",
                                              "example": true
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "Continue without Accepting"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#696969"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "closeBtnVoiceOverText": {
                                              "type": "string",
                                              "example": "Close"
                                            },
                                            "imgcolor": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "imgcolorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "interactionType": {
                                              "type": "string",
                                              "example": "PREFERENCE_CENTER_CLOSE"
                                            }
                                          },
                                          "required": [
                                            "interactionType"
                                          ]
                                        },
                                        "acceptAll": {
                                          "type": "object",
                                          "properties": {
                                            "borderRadius": {
                                              "type": "string",
                                              "example": "0"
                                            },
                                            "color": {
                                              "type": "string",
                                              "example": "#346E4A"
                                            },
                                            "colorDark": {
                                              "type": "string",
                                              "example": "#6CC04A"
                                            },
                                            "fontSize": {
                                              "type": "string",
                                              "example": "17"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "Allow All"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "interactionType": {
                                              "type": "string",
                                              "example": "PREFERENCE_CENTER_ALLOW_ALL"
                                            },
                                            "position": {
                                              "description": "Applicable to ctv device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionBeforePurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionAfterPurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            }
                                          },
                                          "required": [
                                            "interactionType"
                                          ]
                                        },
                                        "rejectAll": {
                                          "type": "object",
                                          "properties": {
                                            "borderRadius": {
                                              "type": "string",
                                              "example": "0"
                                            },
                                            "color": {
                                              "type": "string",
                                              "example": "#346E4A"
                                            },
                                            "colorDark": {
                                              "type": "string",
                                              "example": "#6CC04A"
                                            },
                                            "fontSize": {
                                              "type": "string",
                                              "example": "17"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "Reject All"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "interactionType": {
                                              "type": "string",
                                              "example": "PREFERENCE_CENTER_REJECT_ALL"
                                            },
                                            "position": {
                                              "description": "Applicable to ctv device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionBeforePurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionAfterPurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            }
                                          },
                                          "required": [
                                            "interactionType"
                                          ]
                                        },
                                        "savePreferencesButton": {
                                          "type": "object",
                                          "properties": {
                                            "borderRadius": {
                                              "type": "string",
                                              "example": "0"
                                            },
                                            "color": {
                                              "type": "string",
                                              "example": "#346E4A"
                                            },
                                            "colorDark": {
                                              "type": "string",
                                              "example": "#6CC04A"
                                            },
                                            "fontSize": {
                                              "type": "string",
                                              "example": "17"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "Confirm My Choices"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "homeIconShow": {
                                              "description": "Applicable to ctv device type only",
                                              "type": "boolean",
                                              "example": false
                                            },
                                            "interactionType": {
                                              "type": "string",
                                              "example": "PREFERENCE_CENTER_CONFIRM"
                                            },
                                            "position": {
                                              "description": "Applicable to ctv device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionBeforePurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            },
                                            "positionAfterPurpose": {
                                              "description": "Applicable to mobile device type only",
                                              "type": "number",
                                              "example": 0
                                            }
                                          },
                                          "required": [
                                            "interactionType"
                                          ]
                                        },
                                        "backButton": {
                                          "type": "object",
                                          "properties": {
                                            "color": {
                                              "type": "string",
                                              "example": "#696969"
                                            },
                                            "colorDark": {
                                              "type": "string",
                                              "example": "#FFFFFF"
                                            },
                                            "backBtnVoiceOverText": {
                                              "type": "string",
                                              "example": "Back"
                                            }
                                          },
                                          "required": [
                                            "color",
                                            "colorDark",
                                            "backBtnVoiceOverText"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "backButton"
                                      ]
                                    },
                                    "links": {
                                      "type": "object",
                                      "properties": {
                                        "policyLink": {
                                          "type": "object",
                                          "properties": {
                                            "fontSize": {
                                              "type": "string",
                                              "example": "17"
                                            },
                                            "text": {
                                              "type": "string",
                                              "example": "More information"
                                            },
                                            "textAlign": {
                                              "type": "string",
                                              "example": "left"
                                            },
                                            "textColor": {
                                              "type": "string",
                                              "example": "#3860BE"
                                            },
                                            "textColorDark": {
                                              "type": "string",
                                              "example": "#3860BE"
                                            },
                                            "url": {
                                              "type": "string",
                                              "example": "https://cookiepedia.co.uk/giving-consent-to-cookies"
                                            },
                                            "urlQRCode": {
                                              "type": "string",
                                              "example": "https://cookiesqastorage.blob.core.windows.net/logos/af6aa20c-54ea-4ae1-97e8-068e906702da/1819526c-4eff-495a-af85-03642c1f8510/5d401ebd-469f-49d8-a134-f05cb5282567/865aac1d-af35-4ade-a7e1-7847cf46fe60.png"
                                            },
                                            "linkVoiceOverText": {
                                              "type": "string",
                                              "example": "Opens in a webview"
                                            }
                                          },
                                          "required": [
                                            "fontSize",
                                            "text",
                                            "textAlign",
                                            "textColor",
                                            "textColorDark",
                                            "url",
                                            "linkVoiceOverText"
                                          ]
                                        }
                                      }
                                    },
                                    "purposeTree": {
                                      "type": "object",
                                      "properties": {
                                        "styling": {
                                          "type": "object",
                                          "properties": {
                                            "headerTitle": {
                                              "type": "object",
                                              "properties": {
                                                "show": {
                                                  "type": "boolean",
                                                  "example": true
                                                },
                                                "text": {
                                                  "type": "string",
                                                  "example": "Manage Consent Preferences"
                                                },
                                                "fontSize": {
                                                  "type": "string",
                                                  "example": "17"
                                                },
                                                "textAlign": {
                                                  "type": "string",
                                                  "example": "left"
                                                },
                                                "textColor": {
                                                  "type": "string",
                                                  "example": "#696969"
                                                },
                                                "textColorDark": {
                                                  "type": "string",
                                                  "example": "#FFFFFF"
                                                }
                                              },
                                              "required": [
                                                "show",
                                                "text",
                                                "fontSize",
                                                "textAlign",
                                                "textColor",
                                                "textColorDark"
                                              ]
                                            },
                                            "alwaysActiveLabel": {
                                              "type": "object",
                                              "properties": {
                                                "text": {
                                                  "type": "string",
                                                  "example": "Always Active"
                                                },
                                                "color": {
                                                  "type": "string",
                                                  "example": "#3860BE"
                                                },
                                                "colorDark": {
                                                  "type": "string",
                                                  "example": "#3860BE"
                                                },
                                                "fontSize": {
                                                  "type": "string",
                                                  "example": "16"
                                                }
                                              },
                                              "required": [
                                                "text",
                                                "color",
                                                "colorDark",
                                                "fontSize"
                                              ]
                                            },
                                            "itemTitle": {
                                              "type": "object",
                                              "properties": {
                                                "fontSize": {
                                                  "type": "string",
                                                  "example": "17"
                                                },
                                                "textAlign": {
                                                  "type": "string",
                                                  "example": "left"
                                                },
                                                "textColor": {
                                                  "type": "string",
                                                  "example": "#696969"
                                                },
                                                "textColorDark": {
                                                  "type": "string",
                                                  "example": "#FFFFFF"
                                                }
                                              },
                                              "required": [
                                                "fontSize",
                                                "textAlign",
                                                "textColor",
                                                "textColorDark"
                                              ]
                                            },
                                            "itemDescription": {
                                              "type": "object",
                                              "properties": {
                                                "fontSize": {
                                                  "type": "string",
                                                  "example": "16"
                                                },
                                                "textAlign": {
                                                  "type": "string",
                                                  "example": "left"
                                                },
                                                "textColor": {
                                                  "type": "string",
                                                  "example": "#696969"
                                                },
                                                "textColorDark": {
                                                  "type": "string",
                                                  "example": "#FFFFFF"
                                                }
                                              }
                                            },
                                            "itemDetailsLinks": {
                                              "type": "object",
                                              "properties": {
                                                "position": {
                                                  "type": "string",
                                                  "example": "bottom"
                                                },
                                                "sdkListText": {
                                                  "type": "string",
                                                  "example": "Cookies Details"
                                                },
                                                "vendorListText": {
                                                  "type": "string",
                                                  "example": "List of IAB Vendors"
                                                },
                                                "fullLegalText": {
                                                  "type": "string",
                                                  "example": "View Illustrations })"
                                                },
                                                "descriptionDetails": {
                                                  "type": "string",
                                                  "example": "user_friendly"
                                                },
                                                "generalVendorListText": {
                                                  "type": "string",
                                                  "example": "View Vendor Details"
                                                },
                                                "iabLegalTextUrl": {
                                                  "type": "string"
                                                }
                                              },
                                              "required": [
                                                "position",
                                                "sdkListText",
                                                "fullLegalText",
                                                "descriptionDetails"
                                              ]
                                            },
                                            "itemDetailsConsentCheckboxInfo": {
                                              "description": "Applicable to ctv device type only",
                                              "type": "object",
                                              "properties": {
                                                "activeText": {
                                                  "type": "string",
                                                  "example": "On"
                                                },
                                                "inActiveText": {
                                                  "type": "string",
                                                  "example": "Off"
                                                },
                                                "interactionChoiceText": {
                                                  "type": "string",
                                                  "example": "Consent"
                                                },
                                                "subCategoryHeaderText": {
                                                  "type": "string",
                                                  "example": "Sub-Categories"
                                                }
                                              },
                                              "required": [
                                                "activeText",
                                                "inActiveText",
                                                "subCategoryHeaderText"
                                              ]
                                            }
                                          },
                                          "required": [
                                            "headerTitle",
                                            "itemTitle",
                                            "itemDetailsLinks"
                                          ]
                                        },
                                        "purposes": {
                                          "type": "array",
                                          "items": {
                                            "allOf": [
                                              {
                                                "type": "object",
                                                "properties": {
                                                  "showSDKListLink": {
                                                    "type": "boolean",
                                                    "example": true
                                                  },
                                                  "groupId": {
                                                    "type": "string",
                                                    "example": "V2STACK1"
                                                  },
                                                  "parent": {
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "groupDescription": {
                                                    "type": "string",
                                                    "example": "Precise geolocation and information about device characteristics can be used."
                                                  },
                                                  "groupName": {
                                                    "type": "string",
                                                    "example": "Precise geolocation data, and identification through device scanning"
                                                  },
                                                  "isIabPurpose": {
                                                    "type": "boolean",
                                                    "example": true
                                                  },
                                                  "firstPartyCookies": {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "object",
                                                      "properties": {
                                                        "name": {
                                                          "type": "string",
                                                          "example": "UIKit"
                                                        },
                                                        "description": {
                                                          "type": "string",
                                                          "example": "The UIKit framework provides the required infrastructure for your iOS or tvOS apps. for austria"
                                                        },
                                                        "sdkId": {
                                                          "type": "string",
                                                          "example": "3405edf9-a92f-464a-a850-27d34901b5ab"
                                                        },
                                                        "toggleStatus": {
                                                          "type": "number",
                                                          "example": 2
                                                        }
                                                      },
                                                      "required": [
                                                        "name",
                                                        "description",
                                                        "sdkId",
                                                        "toggleStatus"
                                                      ]
                                                    }
                                                  },
                                                  "purposeId": {
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "type": {
                                                    "type": "string",
                                                    "example": "IAB2V2_STACK"
                                                  },
                                                  "descriptionLegal": {
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "iabIllustrations": {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string",
                                                      "example": "You read several articles on how to build a treehouse on a social media platform. This information might be added to a profile to mark your interest in content related to outdoors as well as do-it-yourself guides (with the objective of allowing the personalisation of content, so that for example you are presented with more blog posts and articles on treehouses and wood cabins in the future)."
                                                    }
                                                  },
                                                  "consentToggleStatus": {
                                                    "type": "number",
                                                    "example": 0
                                                  },
                                                  "consentStatus": {
                                                    "type": "number",
                                                    "example": 0
                                                  },
                                                  "legIntStatus": {
                                                    "type": "number",
                                                    "example": 0
                                                  },
                                                  "vendorsLinkedInfo": {
                                                    "type": "string",
                                                    "example": "310 partners can use this purpose"
                                                  },
                                                  "generalVendorsIds": {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string"
                                                    }
                                                  }
                                                },
                                                "required": [
                                                  "showSDKListLink",
                                                  "groupId",
                                                  "parent",
                                                  "groupName",
                                                  "isIabPurpose",
                                                  "firstPartyCookies",
                                                  "purposeId",
                                                  "type",
                                                  "descriptionLegal",
                                                  "consentToggleStatus"
                                                ]
                                              },
                                              {
                                                "type": "object",
                                                "properties": {
                                                  "children": {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "object",
                                                      "properties": {
                                                        "showSDKListLink": {
                                                          "type": "boolean",
                                                          "example": true
                                                        },
                                                        "groupId": {
                                                          "type": "string",
                                                          "example": "V2STACK1"
                                                        },
                                                        "parent": {
                                                          "type": "string",
                                                          "example": ""
                                                        },
                                                        "groupDescription": {
                                                          "type": "string",
                                                          "example": "Precise geolocation and information about device characteristics can be used."
                                                        },
                                                        "groupName": {
                                                          "type": "string",
                                                          "example": "Precise geolocation data, and identification through device scanning"
                                                        },
                                                        "isIabPurpose": {
                                                          "type": "boolean",
                                                          "example": true
                                                        },
                                                        "firstPartyCookies": {
                                                          "type": "array",
                                                          "items": {
                                                            "type": "object",
                                                            "properties": {
                                                              "name": {
                                                                "type": "string",
                                                                "example": "UIKit"
                                                              },
                                                              "description": {
                                                                "type": "string",
                                                                "example": "The UIKit framework provides the required infrastructure for your iOS or tvOS apps. for austria"
                                                              },
                                                              "sdkId": {
                                                                "type": "string",
                                                                "example": "3405edf9-a92f-464a-a850-27d34901b5ab"
                                                              },
                                                              "toggleStatus": {
                                                                "type": "number",
                                                                "example": 2
                                                              }
                                                            },
                                                            "required": [
                                                              "name",
                                                              "description",
                                                              "sdkId",
                                                              "toggleStatus"
                                                            ]
                                                          }
                                                        },
                                                        "purposeId": {
                                                          "type": "string",
                                                          "example": ""
                                                        },
                                                        "type": {
                                                          "type": "string",
                                                          "example": "IAB2V2_STACK"
                                                        },
                                                        "descriptionLegal": {
                                                          "type": "string",
                                                          "example": ""
                                                        },
                                                        "iabIllustrations": {
                                                          "type": "array",
                                                          "items": {
                                                            "type": "string",
                                                            "example": "You read several articles on how to build a treehouse on a social media platform. This information might be added to a profile to mark your interest in content related to outdoors as well as do-it-yourself guides (with the objective of allowing the personalisation of content, so that for example you are presented with more blog posts and articles on treehouses and wood cabins in the future)."
                                                          }
                                                        },
                                                        "consentToggleStatus": {
                                                          "type": "number",
                                                          "example": 0
                                                        },
                                                        "consentStatus": {
                                                          "type": "number",
                                                          "example": 0
                                                        },
                                                        "legIntStatus": {
                                                          "type": "number",
                                                          "example": 0
                                                        },
                                                        "vendorsLinkedInfo": {
                                                          "type": "string",
[...]
